DKBSignDocs

API reference

DELETERequires Bearer token

Disable TOTP

/api/v1/mfa/totp

Delete /api/v1/mfa/totp. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
password
Required
stringCurrent account password.
e.g. "P@ssw0rd!"

Responses

StatusMeaning
200TOTP disabled
401Missing or invalid Bearer token.

Request

curl
curl -X DELETE 'https://api.dkbsigns.com/api/v1/mfa/totp' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"password":"P@ssw0rd!"}'

Response 200

json
{
  "status": "success",
  "message": "TOTP disabled"
}